typedef struct FCOMPLEX {float r,i;} fcomplex;
typedef struct IMMENSE {unsigned long l,r;} immense;
typedef struct GREAT {unsigned short l,c,r;} great;

	void powell();

void covsrt();
void fgauss();
float gasdev();
void gaussj();
void mrqcof();
void mrqmin();

float bessj0();
float bessj1();
float brent();
float dbrent();
float df1dim();
void dlinmin();
float f1dim();
void frprmn();
void linmin();
void mnbrak();

void rk4();
void rkdumb();
